import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listSummary(query) {
  return request({
    url: '/psi/summary/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getSummary(id) {
  return request({
    url: '/psi/summary/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addSummary(data) {
  return request({
    url: '/psi/summary',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateSummary(data) {
  return request({
    url: '/psi/summary',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delSummary(id) {
  return request({
    url: '/psi/summary/' + id,
    method: 'delete'
  })
}

export function storageList(data) {
  return request({
    url: '/psi/storage/storageList',
    method: 'post',
    data
  })
}

export function storageAddSummary(data) {
  return request({
    url: '/psi/storage/addSummary',
    method: 'post',
    data
  })
}


export function storageDetail(id,type) {
  return request({
    url: '/psi/summary/' + id+'/'+type,
    method: 'get'
  })
}


//不分页列表接口
export function listNoPage(query) {
  return request({
    url: '/psi/storage/listNoPage',
    method: 'get',
    params: query
  })
}

// 出库单撤回
export function updateStatus(id) {
  return request({
    url: '/psi/outbound/updateStatus/'+id,
    method: 'get'
  })
}

// 入库汇总审核
export function updateSummaryType(id) {
  return request({
    url: '/psi/summary/'+id,
    method: 'put'
  })
}

// 出库汇总表撤回
export function revokeSummaryOut(id) {
  return request({
    url: '/psi/summary/revokeSummaryOut/'+id,
    method: 'get'
  })
}

// 入库汇总表撤回
export function revokeSummaryIn(id) {
  return request({
    url: '/psi/summary/revokeSummaryIn/'+id,
    method: 'get'
  })
}