import request from '@/utils/request'

//供应商 增加销货单菜单，查询条件：食堂、时间段，查询出满足条件的入库单，详细里面增加打印，打印模板即为截图的销货单
export function billofSalelistStorage(query) {
    return request({
      url: '/sup/storage/list',
      method: 'get',
      params: query
    })
  }

  export function addStorage(data) {
    return request({
      url: '/psi/storage/warehousing',
      method: 'post',
      data
    })
  }


  export function detailStorage(id) {
    return request({
      url: '/sup/storage/getInfoByIds/' + id,
      method: 'get'
    })
  }

  export function outbound(data) {
    return request({
      url: '/psi/storage/outbound',
      method: 'put',
      data
    })
  }

  export function process(id,excTenantId) {
    return request({
      url: '/psi/process/'+id+'?excTenantId='+excTenantId,
      method: 'get'
    })
  }
  
  export function revokeStorage(id) {
    return request({
      url: 'sup/storage/revokeStorage/' + id,
      method: 'get'
    })
  }