import request from '@/utils/request'

//入库单列表
export function listStorage(query) {
    return request({
      url: '/psi/storage/list',
      method: 'get',
      params: query
    })
  }
  
  export function addStorage(data) {
    return request({
      url: '/psi/storage/warehousing',
      method: 'post',
      data
    })
  }

  
  export function detailStorage(id) {
    return request({
      url: '/psi/storage/' + id,
      method: 'get'
    })
  }

  export function outbound(data) {
    return request({
      url: '/psi/storage/outbound',
      method: 'put',
      data
    })
  }

  
  export function getInfoByIds(data) {
    return request({
      url: '/psi/storage/getInfoByIds',
      method: 'post',
      data
    })
  }

  
  export function listAll(data) {
    return request({
      url: '/psi/storage/listAll',
      method: 'get',
      params: data
    })
  }

  export function outboundList(data) {
    return request({
      url: '/psi/outbound/list',
      method: 'get',
      params: data
    })
  }

  export function outboundInfo(id) {
    return request({
      url: '/psi/outbound/getInfoById/' + id,
      method: 'get',
    })
  }

// 入库单撤回
export function revokeStorage(id) {
  return request({
    url: '/psi/storage/revokeStorage/'+id,
    method: 'get'
  })
}