import request from '@/utils/request'

// 查询竞价单列表
export function listBidding(query) {
  return request({
    url: '/sup/bidding/list',
    method: 'get',
    params: query
  })
}

// 查询竞价单详细
export function getBidding(id) {
  return request({
    url: '/sup/bidding/' + id,
    method: 'get'
  })
}


// 竞价单保存
export function biddingQuote(data) {
  return request({
    url: '/sup/bidding/biddingQuote',
    method: 'post',
    data: data
  })
}

export function updateStatus(id) {
  return request({
    url: '/sup/bidding/updateStatus/'+ id,
    method: 'post',
  })
}
