export default {
    // 自定义指令 focusChange table input 切换焦点
  bind(el, binding, vnode) {
    let newEl = el.childNodes[1];
    let changeLength = +binding.value;
    newEl.addEventListener("keydown", (e) => {
      let domList = document.querySelectorAll(".el-table .el-input__inner");
      let index = [].indexOf.call(domList, newEl);
      const keyCode = e.keyCode;
      if ([37, 38, 39, 40].findIndex((item) => item === keyCode) == -1) {
        return;
      }
     
      if (keyCode === 37) {
        // 左箭头
        console.log("left",newEl.value,newEl.selectionStart);
        if(newEl.selectionStart!==0&&newEl.selectionStart!==null&&newEl.readOnly!==true){
            return
        }
        index = index - 1;
      } else if (keyCode === 38) {
        // 上箭头
        // 切换到上一行
        index = index - changeLength;
      } else if (keyCode === 39) {
        // 右箭头
        // 切换到下一列
        console.log(newEl.selectionStart,newEl.value.length)
        if(newEl.selectionEnd!==newEl.value.length&&newEl.selectionEnd!==null){
            return
        }
        index = index + 1;
      } else if (keyCode === 40) {
        // 下箭头
        // 切换到下一行
        index = index + changeLength;
      }
      e.preventDefault();
      // 焦点切换完成后，根据当前的行和列重新设置焦点
      if (index >= 0 && index < domList.length) {
        // 焦点切换完成后，根据当前的行和列重新设置焦点
        domList[index].focus();
      }
    });
  },
};
